Subject: Re: bug#26353: TeX Live

From: [email-masked] (Ludovic Courtès)
Date: Fri, 02 Jun 2017 17:06:49 +0200

Hi Ricardo,

Ricardo Wurmus <[email-masked]> skribis:

> So… I already have a Texlive importer that fetches things from SVN
> (because the tarballs on CTAN are not versioned).

Awesome!

> The texmf-dist tarball actually seems to include a couple of generated
> files (such as latex.ltx), which needs to be bootstrapped with initex
> first.  I’ve already made some progress on this end, but I need to first
> build a few metafont fonts.
>
> The hardest part here is to override search paths and figure out
> dependencies.  This is a very slow process right now, because it’s
> mainly error-driven.

Yeah kpathsea and all that.

> I’m close to finishing the bootstrap of latex-base.  Once that’s done I
> should be able to finish the texlive-build-system, and then I’ll try
> building the other latex packages that are distributed with Texlive.
> There’s more to Texlive (e.g. xetex packages), but I’ll take care of
> that later.
>
> One thing that’s still unknown at this point is how the profile hook
> should work, but I’ll figure this out as I learn more about the search
> paths and the like.

OK, we’ll see.

Thank you for this brave effort!

Ludo’.